binary_search_tree.cpp File Reference

A simple tree implementation using structured nodes. More...

`#include <iostream>`
Include dependency graph for binary_search_tree.cpp:

## Classes

class | node< Kind >
class | Queue

## Functions

void | enqueue (node *n)
node * | dequeue ()
void | Insert (node *n, int x)
int | findMaxInLeftST (node *n)
void | Remove (node *p, node *n, int x)
void | BFT (node *n)
void | Pre (node *n)
void | In (node *n)
void | Post (node *n)
int | main ()

## Variables

Queue | queue

## Detailed Description

A simple tree implementation using structured nodes.

Todo:
  update code to use C++ STL library features and OO structure

Warning
  This program is a poor implementation - C style - and does not utilize any of the C++ STL features.